Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
courseOfferings
/
{offeringSid}
Course Offering Details
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/courseOfferings/{offeringSid} \
  --header 'token: <api-key>'
{
  "sid": "<string>",
  "lastActivityDate": "<string>",
  "title": "<string>",
  "matchStrings": [
    "<string>"
  ],
  "startDate": "<string>",
  "endDate": "<string>",
  "createdDate": "<string>",
  "editDate": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Unique SID of the application install. Pattern: AI + 32 hex chars.

Pattern: ^AI[a-f0-9]{32}$
Example:

"AI1234567890abcdef1234567890abcdef"

offeringSid
string
required

Unique SID of the course offering to retrieve. Pattern: CO + 32 hex chars.

Pattern: ^CO[a-f0-9]{32}$
Example:

"CO1234567890abcdef1234567890abcdef"

Response

200 - application/json

Successful

sid
string | null

Course offering SID

lastActivityDate
string | null

Last activity date

title
string | null

Offering title

matchStrings
string[] | null

Match strings for auto-matching

startDate
string | null

Start date

endDate
string | null

End date

createdDate
string | null

Created date

editDate
string | null

Last modified date